Main Page Modules Compound List File List Compound Members File Members

# Application callbacks support

## Typedefs
typedef void(* | ConfigCallback )(void *userData)
typedef void(* | WinCallback )(Window win, Window parent, void *userData)
typedef void(* | StateCallback )(int group, Bool restore, void *userData)
## Functions
int | XklRegisterConfigCallback (ConfigCallback fun, void *userData)
int | XklRegisterWindowCallback (WinCallback fun, void *userData)
int | XklRegisterStateCallback (StateCallback fun, void *userData)

## Typedef Documentation

typedef void( * ConfigCallback)( void *userData )

  | Used for notifying application of the XKB configuration change. Parameters:
  userData | is anything which can be stored into the pointer
See also: XklRegisterConfigCallback

typedef void( * StateCallback)( int group, Bool restore, void *userData )

  | Used for notifying application of the window state change. Parameters:
  win | is a window
  restore | is indicator of whether this state is restored from saved state of set as new.
  userData | is anything which can be stored into the pointer
See also: XklRegisterConfigCallback

typedef void( * WinCallback)( Window win, Window parent, void *userData )

  | Used for notifying application of new window creation (actually, registration). Parameters:
  win | is a new window
  parent | is a new window's parent
  userData | is anything which can be stored into the pointer
See also: XklRegisterConfigCallback

## Function Documentation

int XklRegisterConfigCallback | ( | ConfigCallback | fun,
|  | void * | userData
| ) |

  | Registers user callback. Only one callback can be registered at a time Parameters:
  fun | is the function to call
  userData | is the data to pass
See also: ConfigCallback

int XklRegisterStateCallback | ( | StateCallback | fun,
|  | void * | userData
| ) |

  | Registers user callback. Only one callback can be registered at a time Parameters:
  fun | is the function to call
  userData | is the data to pass
See also: StateCallback

int XklRegisterWindowCallback | ( | WinCallback | fun,
|  | void * | userData
| ) |

  | Registers user callback. Only one callback can be registered at a time Parameters:
  fun | is the function to call
  userData | is the data to pass
See also: WindowCallback